ldns_struct_output_format Struct Reference

Output format specifier. More...

`#include <host2str.h>`

## Data Fields

int | flags
| Specification of how RR's should be formatted in text.
void * | data
| Potential extra data to be used with formatting RR's in text.

## Detailed Description

Output format specifier.

Determines how Packets, Resource Records and Resource record data field are formatted when printing or converting to string. Currently it is only used to specify what aspects of a Resource Record are annotated in the comment section of the textual representation the record. This is specified with flags and potential extra data (such as for example a lookup map of hashes to real names for annotation NSEC3 records).

Definition at line 88 of file host2str.h.

## Field Documentation

## flags

int ldns_struct_output_format::flags

Specification of how RR's should be formatted in text.

Definition at line 91 of file host2str.h.

## data

void* ldns_struct_output_format::data

Potential extra data to be used with formatting RR's in text.

Definition at line 93 of file host2str.h.